MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures
PeakBuffer.hxx File Reference
`#include "Compiler.h"`
`#include <stddef.h>`
`#include <stdint.h>`
Include dependency graph for PeakBuffer.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | WritableBuffer< T >
| A reference to a memory area that is writable. More...
class | DynamicFifoBuffer< T >
| A first-in-first-out buffer: you can append data at the end, and read data from the beginning. More...
class | PeakBuffer
| A FIFO-like buffer that will allocate more memory on demand to allow large peaks. More...